package eu.eudat.migration.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "languages")
public class Language {

    @Id
    private Long id;
    private String abbreviation;
    private String description;
    private String name;
    @Column(name = "default_language")
    private Boolean defaultLanguage;

    @Override
    public String toString() {
        return "Language{" +
                "id=" + id +
                ", abbreviation='" + abbreviation + '\'' +
                ", description='" + description + '\'' +
                ", name='" + name + '\'' +
                ", defaultLanguage=" + defaultLanguage +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }


    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public Boolean getDefaultLanguage() {
        return defaultLanguage;
    }

    public void setDefaultLanguage(Boolean defaultLanguage) {
        this.defaultLanguage = defaultLanguage;
    }

}
