package eu.eudat.migration.entities;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "guidances")
public class Guidance {

  @Id
  private long id;
  private String text;
  @ManyToOne(fetch = FetchType.EAGER)
  @JoinColumn(name = "guidance_group_id")
  private GuidanceGroup guidanceGroup;
  @Column(name = "created_at")
  @Temporal(TemporalType.TIMESTAMP)
  private Date createdAt;
  @Column(name = "updated_at")
  @Temporal(TemporalType.TIMESTAMP)
  private Date updatedAt;
  private Boolean published;

  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }

  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public GuidanceGroup getGuidanceGroup() {
    return guidanceGroup;
  }

  public void setGuidanceGroup(GuidanceGroup guidanceGroup) {
    this.guidanceGroup = guidanceGroup;
  }

  public Date getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(Date createdAt) {
    this.createdAt = createdAt;
  }

  public Date getUpdatedAt() {
    return updatedAt;
  }

  public void setUpdatedAt(Date updatedAt) {
    this.updatedAt = updatedAt;
  }

  public Boolean getPublished() {
    return published;
  }

  public void setPublished(Boolean published) {
    this.published = published;
  }
}
