package eu.eudat.migration.entities;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "question_options")
public class QuestionOption {

  @Id
  private Long id;
  private String text;
  private Long number;
  @Column(name = "is_default")
  private Boolean isDefault;
  @Column(name = "created_at")
  @Temporal(TemporalType.TIMESTAMP)
  private Date createdAt;
  @Column(name = "updated_at")
  @Temporal(TemporalType.TIMESTAMP)
  private Date updatedAt;
  @Column(name = "versionable_id")
  private String versionableId;

  @Override
  public String toString() {
    return "QuestionOption{" +
            "id=" + id +
            ", text='" + text + '\'' +
            ", number=" + number +
            ", isDefault=" + isDefault +
            ", createdAt=" + createdAt +
            ", updatedAt=" + updatedAt +
            ", versionableId='" + versionableId + '\'' +
            '}';
  }

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getText() {
    return text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public Long getNumber() {
    return number;
  }

  public void setNumber(Long number) {
    this.number = number;
  }

  public Boolean getDefault() {
    return isDefault;
  }

  public void setDefault(Boolean aDefault) {
    isDefault = aDefault;
  }

  public Date getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(Date createdAt) {
    this.createdAt = createdAt;
  }

  public Date getUpdatedAt() {
    return updatedAt;
  }

  public void setUpdatedAt(Date updatedAt) {
    this.updatedAt = updatedAt;
  }

  public String getVersionableId() {
    return versionableId;
  }

  public void setVersionableId(String versionableId) {
    this.versionableId = versionableId;
  }
}
