package eu.eudat.migration.utils;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

@Converter
public class ArrayTypeConverter implements AttributeConverter<String[], String> {

    @Override
    public String convertToDatabaseColumn(String[] strings) {
        return strings != null?String.join(",", strings):null;
    }

    @Override
    public String[] convertToEntityAttribute(String string) {
        return string != null?string.split(","):null;
    }
}
